VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "DB_SharedModules"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private data_ As Excel.Worksheet

Public Function Init(target As Excel.Worksheet)
  Set data_ = target
End Function

Public Function IBegin() As IteratorSharedModule
  Set IBegin = New IteratorSharedModule
  Call IBegin.Init(data_)
End Function

Public Function ILast() As IteratorSharedModule
  Set ILast = New IteratorSharedModule
  Call ILast.Init(data_)
  Call ILast.GoLast
End Function

Public Function INew() As IteratorSharedModule
  Set INew = New IteratorSharedModule
  Call INew.Init(data_)
  Call INew.GoLast
  Call INew.Increment
End Function

Public Function FindName(sTarget$) As IteratorSharedModule
  Dim iModule As IteratorSharedModule
  Set iModule = IBegin
  Do While Not iModule.IsDone
    If iModule.Name = sTarget Then
      Set FindName = iModule
      Exit Function
    End If
    Call iModule.Increment
  Loop
End Function
