VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "CB_AddProduct"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' Callback adding shared module from file
Option Explicit

Private iProducts_ As DB_Products
Private fso_ As Scripting.FileSystemObject

Public newCount_ As Long

Public Function Init(iProducts As DB_Products)
  newCount_ = 0
  Set iProducts_ = iProducts
  Set fso_ = New Scripting.FileSystemObject
End Function

Public Function ScanFolder(iFolder As Scripting.Folder) As Boolean
' Callback should return TRUE to continue recursive
  Dim sMakefile$: sMakefile = fso_.BuildPath(iFolder, MAKEFILE_NAME)
  ScanFolder = Not fso_.FileExists(sMakefile)
  If ScanFolder Then _
    Exit Function
    
  Dim iMake As New InfoMakefile
  If Not iMake.Init(sMakefile) Then _
    Exit Function
    
  If iProducts_.Contains(iMake.ProductName) Then
    Dim iProduct As IteratorProduct: Set iProduct = iProducts_.Access(iMake.ProductName)
    If VBA.UCase(iProduct.SourcePath) = VBA.UCase(iFolder.Path) Then _
      Call iProduct.SyncMakefile(iMake)
  Else
    Call iProducts_.Insert(iMake)
    newCount_ = newCount_ + 1
  End If
End Function
