VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ItemActionEnvironment"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public reporter_ As API_Logger
Public isBuilding_ As Boolean
Public buildType_ As TBuildType

Public product_ As String
Public productVersion_ As String
Public artifactHome_ As String
Public sourceHome_ As String
Public components_ As DB_Components

Public installHome_ As String
Public testDB_ As DB_Tests

Public fso_ As Scripting.FileSystemObject

Public Function InitBuild(bType As TBuildType, sProduct$, sVersion$, sArtifacts$, sSources$, _
                          aReporter As API_Logger, _
                          dbComponents As DB_Components, _
                          testDB As DB_Tests)
  isBuilding_ = True
  buildType_ = bType
  Set fso_ = New Scripting.FileSystemObject
  
  product_ = sProduct
  productVersion_ = sVersion
  artifactHome_ = sArtifacts
  sourceHome_ = sSources
  
  Set reporter_ = aReporter
  Set components_ = dbComponents
  Set testDB_ = testDB
End Function

Public Function InitInstall(bType As TBuildType, sProduct$, sVersion$, sArtifacts$, sSources$, _
                            aReporter As API_Logger, _
                            dbComponents As DB_Components, sInstall$)
  isBuilding_ = False
  buildType_ = bType
  Set fso_ = New Scripting.FileSystemObject
  
  product_ = sProduct
  productVersion_ = sVersion
  artifactHome_ = sArtifacts
  sourceHome_ = sSources
  
  Set reporter_ = aReporter
  Set components_ = dbComponents
  
  installHome_ = sInstall
  
  artifactHome_ = sArtifacts
  sourceHome_ = sSources
End Function


