VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "s_ExHash"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' ===== Test suite for Hashing =======
Option Explicit

Public Function Setup()
  ' Mandatory setup function
End Function

Public Function Teardown()
  ' Mandatory teardown function
End Function

Public Function t_HashMD5()
  On Error GoTo PROPAGATE_ERROR
  
  Call Dev_NewCase("Null string")
  Call Dev_ExpectEQ("d41d8cd98f00b204e9800998ecf8427e", MD5AsString(vbNullString))
  Call Dev_ExpectEQ(319274370, MD5AsLong(vbNullString))
  
  Call Dev_NewCase("Empty string")
  Call Dev_ExpectEQ("d41d8cd98f00b204e9800998ecf8427e", MD5AsString(""))
  Call Dev_ExpectEQ(319274370, MD5AsLong(""))
  
  Call Dev_NewCase("Known long string")
  Call Dev_ExpectEQ("a802c7e23a696b5bc43fc002c4ab3361", MD5AsString("Testing long string"))
  Call Dev_ExpectEQ(995413151, MD5AsLong("Testing long string"))
  
  Exit Function
PROPAGATE_ERROR:
  Call Dev_LogError(Err.Number, Err.Description)
End Function
